
' (C) 2007 i-TECH and Kristopher Windsor

#include once "windows.bi"
#include once "win\tlhelp32.bi"

Function isprocessrunning (Byref _process As String) As Integer

  Dim As Integer result = 0
  Dim As String process = Ucase(_process)
  Dim As HANDLE hProcessSnap
  Dim As HANDLE hProcess
  Dim As PROCESSENTRY32 pe32

  'Take a snapshot of all processes in the system.
  hProcessSnap = CreateToolhelp32Snapshot(TH32CS_SNAPPROCESS, 0)
  If (hProcessSnap = INVALID_HANDLE_VALUE) Then Return 0

  'Set the size of the structure before using it.
  pe32.dwSize = Sizeof(PROCESSENTRY32)

  'Retrieve information about the first process.
  If Process32First(hProcessSnap, @pe32) = 0 Then
    CloseHandle(hProcessSnap)
    Return 0
  Endif

  ' Walk the snapshot of processes and display name of each.
  Do
    If Ucase(pe32.szExeFile) = process Then result = -1
  Loop Until Process32Next( hProcessSnap, @pe32 ) = 0

  CloseHandle(hProcessSnap)
  Return result
End Function
