
' (C) 2007 i-TECH and Kristopher Windsor

'#define use_avicapture
'#define use_clipboard
'#define use_font
'#define use_framerate
'#define use_geometry
'#define use_highscores
'#define use_iinput
'#define use_imenu
'#define use_isprocessrunning
'#define use_keymouse
'#define use_multiput
'#define use_spawn

#define _fb_include_path_data (__path__ + "/data/")

Const true = -1, false = 0

Const pi_quarter = .7853981633974483, pi_half = 1.570796326794897
Const pi = 3.141592653589798, pi_double = 6.283185307179586

Dim Shared As Integer screen_size_x, screen_size_y, screen_size_x_half, screen_size_y_half
Dim Shared As String fb_include_path_data
Dim Shared As Uinteger Ptr universal_image

'none of these use my libs
#ifdef use_avicapture
  #include once "itech\fromweb\avicapture.bi"
#endif
#ifdef use_clipboard
  #include once "itech\fromweb\clipboard.bi"
#endif
#ifdef use_isprocessrunning
  #include once "itech\fromweb\isprocessrunning.bi"
#endif
#ifdef use_multiput
  #include once "itech\fromweb\multiput.bi"
#endif
#ifdef use_spawn
  #include once "itech\fromweb\spawn.bi"
#endif

'some use multiput, etc.
#ifdef use_font
  #include once "itech\mylibs\font.bi"
#endif
#ifdef use_framerate
  #include once "itech\mylibs\framerate.bi"
#endif
#ifdef use_geometry
  #include once "itech\mylibs\geometry.bi"
#endif
#ifdef use_highscores
  #include once "itech\mylibs\highscores.bi"
#endif
#ifdef use_iinput
  #include once "itech\mylibs\iinput.bi"
#endif
#ifdef use_imenu
  #include once "itech\mylibs\imenu.bi"
#endif
#ifdef use_keymouse
  #include once "itech\mylibs\keymouse.bi"
#endif

Sub start (sx As Integer = 800, sy As Integer = 600, sf As Integer = 0)
  screen_size_x = sx
  screen_size_y = sy
  Screenres screen_size_x, screen_size_y, 32,, sf
  screen_size_x_half = screen_size_x / 2
  screen_size_y_half = screen_size_y / 2
  fb_include_path_data = _fb_include_path_data
  Randomize Timer
  universal_image = imagecreate(screen_size_x, screen_size_y, &HFFFFFFFF)
End Sub

Sub finish
  imagedestroy(universal_image)
  #ifdef use_avicapture
    avi_finish
  #Endif
  #ifdef use_font
    font_finish
  #Endif
  #ifdef use_highscores
    highscore_finish
  #endif
  #ifdef use_imci
    imci_stop
  #Endif
End Sub
